commit:     f7ab64283418998b43d82bb0db7b5d9ad89fdc99
Author:     Alessandro Barbieri <lssndrbarbieri <AT> gmail <DOT> com>
AuthorDate: Tue Feb  8 20:04:08 2022 +0000
Commit:     Ronny Gutbrod <gentoo <AT> tastytea <DOT> de>
CommitDate: Sat Mar  5 01:34:27 2022 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=f7ab6428

app-shells/spark-fish: initial import

Signed-off-by: Alessandro Barbieri <lssndrbarbieri <AT> gmail.com>

 app-shells/spark-fish/Manifest                |  1 +
 app-shells/spark-fish/metadata.xml            | 11 ++++++++
 app-shells/spark-fish/spark-fish-1.2.0.ebuild | 39 +++++++++++++++++++++++++++
 3 files changed, 51 insertions(+)

diff --git a/app-shells/spark-fish/Manifest b/app-shells/spark-fish/Manifest
new file mode 100644
index 000000000..f89f5bfac
--- /dev/null
+++ b/app-shells/spark-fish/Manifest
@@ -0,0 +1 @@
+DIST spark-fish-1.2.0.tar.gz 3478 BLAKE2B 
21823da494e13f92d8cfe8db802aa0734ddce8c5db47dbfc634aaab4425ae49b22ef000882454a880da502d14d4bdb0ed91ab941d21d7550ae686e2af056b7b6
 SHA512 
24e80faae6595de4a114d15823064de428d68c3d7ef778db49ed3bac88716a44f8eeaff86558f37570f4932f6755dedeee968177ab3dafc8c25c8bfc3469d291

diff --git a/app-shells/spark-fish/metadata.xml 
b/app-shells/spark-fish/metadata.xml
new file mode 100644
index 000000000..5591aa64d
--- /dev/null
+++ b/app-shells/spark-fish/metadata.xml
@@ -0,0 +1,11 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd";>
+<pkgmetadata>
+  <maintainer type="person">
+    <email>[email protected]</email>
+    <name>Alessandro Barbieri</name>
+  </maintainer>
+  <upstream>
+    <remote-id type="github">jorgebucaran/spark.fish</remote-id>
+  </upstream>
+</pkgmetadata>

diff --git a/app-shells/spark-fish/spark-fish-1.2.0.ebuild 
b/app-shells/spark-fish/spark-fish-1.2.0.ebuild
new file mode 100644
index 000000000..651498334
--- /dev/null
+++ b/app-shells/spark-fish/spark-fish-1.2.0.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+MYPN="${PN/-/.}"
+
+DESCRIPTION="Sparklines for Fish"
+HOMEPAGE="https://github.com/jorgebucaran/spark.fish";
+SRC_URI="https://github.com/jorgebucaran/spark.fish/archive/refs/tags/${PV}.tar.gz
 -> ${P}.tar.gz"
+S="${WORKDIR}/${MYPN}-${PV}"
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="test"
+
+RDEPEND="app-shells/fish"
+DEPEND="
+       test? (
+               ${RDEPEND}
+               app-shells/fishtape
+               app-shells/spark-fish
+       )
+"
+
+DOCS=( README.md )
+RESTRICT="!test? ( test )"
+
+src_install() {
+       insinto "/usr/share/fish/vendor_completions.d"
+       doins completions/*
+       insinto "/usr/share/fish/vendor_functions.d"
+       doins functions/*
+       einstalldocs
+}
+
+src_test() {
+       fish -c 'fishtape ./test/spark.fish' || die
+}

Reply via email to